Can't upgrade because of python

Hello Garuda users.

garuda-inxi output:

System:
Kernel: 5.18.3-zen1-1-zen arch: x86_64 bits: 64 compiler: gcc v: 12.1.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=94c7dd6c-680a-4208-9247-9e3080c899fe rw [email protected]
quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
systemd.unified_cgroup_hierarchy=1 loglevel=3
Console: pty pts/3 wm: kwin_x11 DM: SDDM Distro: Garuda Linux
base: Arch Linux
Machine:
Type: Laptop System: LENOVO product: 80Q7 v: Lenovo ideapad 300-15ISK
serial: <filter> Chassis: type: 10 v: Lenovo ideapad 300-15ISK
serial: <filter>
Mobo: LENOVO model: Paris 5A8 v: SDK0J40709 WIN serial: <filter>
UEFI: LENOVO v: D5CN47WW date: 09/08/2016
Battery:
ID-1: BAT0 charge: 20.4 Wh (100.0%) condition: 20.4/30.1 Wh (67.9%)
volts: 16.3 min: 14.4 model: SANYO L15S4A01 type: Li-poly serial: <filter>
status: full
CPU:
Info: model: Intel Core i7-6500U socket: BGA1168 (U3E1) note: check
bits: 64 type: MT MCP arch: Skylake gen: core 6 built: 2015
process: Intel 14nm family: 6 model-id: 0x4E (78) stepping: 3
microcode: 0xF0
Topology: cpus: 1x cores: 2 tpc: 2 threads: 4 smt: enabled cache:
L1: 128 KiB desc: d-2x32 KiB; i-2x32 KiB L2: 512 KiB desc: 2x256 KiB
L3: 4 MiB desc: 1x4 MiB
Speed (MHz): avg: 2905 high: 3064 min/max: 400/3100 base/boost: 2400/2600
scaling: driver: intel_pstate governor: powersave volts: 0.8 V
ext-clock: 100 MHz cores: 1: 3064 2: 2918 3: 2888 4: 2750 bogomips: 20799
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Vulnerabilities:
Type: itlb_multihit status: KVM: VMX disabled
Type: l1tf
mitigation: PTE Inversion; VMX: conditional cache flushes, SMT vulnerable
Type: mds mitigation: Clear CPU buffers; SMT vulnerable
Type: meltdown mitigation: PTI
Type: spec_store_bypass
mitigation: Speculative Store Bypass disabled via prctl
Type: spectre_v1
mitigation: usercopy/swapgs barriers and __user pointer sanitization
Type: spectre_v2 mitigation: Retpolines, IBPB: conditional, IBRS_FW,
STIBP: conditional, RSB filling
Type: srbds mitigation: Microcode
Type: tsx_async_abort status: Not affected
Graphics:
Device-1: Intel Skylake GT2 [HD Graphics 520] vendor: Lenovo driver: i915
v: kernel arch: Gen9 process: Intel 14n built: 2015-16 ports:
active: HDMI-A-1,eDP-1 empty: DP-1,HDMI-A-2 bus-ID: 00:02.0
chip-ID: 8086:1916 class-ID: 0300
Device-2: AMD Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330 M430 Radeon
520 Mobile]
vendor: Lenovo driver: radeon v: kernel alternate: amdgpu arch: GCN 1
process: TSMC 28nm built: 2011-20 pcie: gen: 3 speed: 8 GT/s lanes: 4
link-max: lanes: 8 bus-ID: 03:00.0 chip-ID: 1002:6660 class-ID: 0380
Device-3: Chicony Lenovo EasyCamera type: USB driver: uvcvideo
bus-ID: 1-4:4 chip-ID: 04f2:b50e class-ID: 0e02 serial: <filter>
Display: x11 server: X.Org v: 21.1.3 with: Xwayland v: 22.1.2
compositor: kwin_x11 driver: X: loaded: modesetting,radeon
alternate: fbdev,intel,vesa gpu: i915 display-ID: :0 screens: 1
Screen-1: 0 s-res: 3286x1325 s-dpi: 96 s-size: 867x349mm (34.13x13.74")
s-diag: 935mm (36.8")
Monitor-1: HDMI-A-1 mapped: HDMI-1 pos: primary,top-right
model: Samsung S22F350 serial: <filter> built: 2019 res: 1920x1080 dpi: 102
gamma: 1.2 size: 477x268mm (18.78x10.55") diag: 547mm (21.5") ratio: 16:9
modes: max: 1920x1080 min: 720x400
Monitor-2: eDP-1 pos: bottom-l model: ChiMei InnoLux 0x15c6 built: 2013
res: 1366x768 hz: 60 dpi: 101 gamma: 1.2 size: 344x193mm (13.54x7.6")
diag: 394mm (15.5") ratio: 16:9 modes: 1366x768
OpenGL: renderer: Mesa Intel HD Graphics 520 (SKL GT2) v: 4.6 Mesa 22.1.1
direct render: Yes
Audio:
Device-1: Intel Sunrise Point-LP HD Audio vendor: Lenovo
driver: snd_hda_intel v: kernel alternate: snd_soc_skl bus-ID: 00:1f.3
chip-ID: 8086:9d70 class-ID: 0403
Sound Server-1: ALSA v: k5.18.3-zen1-1-zen running: yes
Sound Server-2: sndio v: N/A running: no
Sound Server-3: JACK v: 1.9.21 running: no
Sound Server-4: PulseAudio v: 16.0 running: no
Sound Server-5: PipeWire v: 0.3.52 running: yes
Network:
Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet
vendor: Lenovo driver: r8169 v: kernel pcie: gen: 1 speed: 2.5 GT/s
lanes: 1 port: 4000 bus-ID: 01:00.0 chip-ID: 10ec:8168 class-ID: 0200
IF: enp1s0 state: down mac: <filter>
Device-2: Intel Dual Band Wireless-AC 3165 Plus Bluetooth driver: iwlwifi
v: kernel pcie: gen: 1 speed: 2.5 GT/s lanes: 1 bus-ID: 02:00.0
chip-ID: 8086:3166 class-ID: 0280
IF: wlp2s0 state: up mac: <filter>
Bluetooth:
Device-1: Intel Bluetooth wireless interface type: USB driver: btusb v: 0.8
bus-ID: 1-7:7 chip-ID: 8087:0a2a class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 5 state: down
bt-service: enabled,running rfk-block: hardware: no software: yes
address: <filter>
Drives:
Local Storage: total: 931.51 GiB used: 224.45 GiB (24.1%)
ID-1: /dev/sda maj-min: 8:0 vendor: Western Digital
model: WD10JPCX-24UE4T0 size: 931.51 GiB block-size: physical: 4096 B
logical: 512 B sata: 3.0 speed: 6.0 Gb/s type: HDD rpm: 5400
serial: <filter> rev: 1A01 temp: 35 C scheme: GPT
SMART: yes state: enabled health: PASSED on: 174d 16h cycles: 2693
Partition:
ID-1: / raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 224.45 GiB (24.1%) fs: btrfs block-size: 4096 B dev: /dev/sda2
maj-min: 8:2
ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
used: 576 KiB (0.2%) fs: vfat block-size: 512 B dev: /dev/sda1 maj-min: 8:1
ID-3: /home raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 224.45 GiB (24.1%) fs: btrfs block-size: 4096 B dev: /dev/sda2
maj-min: 8:2
ID-4: /var/log raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 224.45 GiB (24.1%) fs: btrfs block-size: 4096 B dev: /dev/sda2
maj-min: 8:2
ID-5: /var/tmp raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
used: 224.45 GiB (24.1%) fs: btrfs block-size: 4096 B dev: /dev/sda2
maj-min: 8:2
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 11.55 GiB used: 907.8 MiB (7.7%)
priority: 100 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 41.0 C pch: 40.5 C mobo: N/A gpu: radeon
temp: 47.0 C
Fan Speeds (RPM): N/A
Info:
Processes: 256 Uptime: 1d 1h 16m wakeups: 9 Memory: 11.55 GiB
used: 5.19 GiB (44.9%) Init: systemd v: 251 default: graphical
tool: systemctl Compilers: gcc: 12.1.0 clang: 13.0.1 Packages: pacman: 1927
lib: 520 flatpak: 0 Shell: fish (sudo) v: 3.4.1 default: Bash v: 5.1.16
running-in: konsole inxi: 3.3.18
Garuda (2.6.3-2):
System install date:     2022-02-27
Last full system update: 2022-06-19
Is partially upgraded:   No
Relevant software:       NetworkManager
Windows dual boot:       No/Undetected
Snapshots:               Snapper
Failed units:            httpd.service

Hello Garuda Forum,
i tried upgrading my system after a system maintenance warning was shown. However, when running pacman -Syu, this is the output:

:: Paketdatenbanken werden synchronisiert …
 core wird heruntergeladen …
 extra wird heruntergeladen …
 community wird heruntergeladen …
 multilib wird heruntergeladen …
 chaotic-aur wird heruntergeladen …
:: Vollständige Systemaktualisierung wird gestartet …
Abhängigkeiten werden aufgelöst …
Nach in Konflikt stehenden Paketen wird gesucht …

Pakete (285) 7-zip-22.00-2  aha-0.5.1-2  alsa-card-profiles-1:0.3.53-2  alsa-lib-1.2.7.1-1  alsa-plugins-1:1.2.7.1-1  alsa-ucm-conf-1.2.7.1-1  ananicy-rules-git-2.2.1.r225.g63f08a8-1  android-udev-20220611-1  aom-3.4.0-1  apache-2.4.54-1  beautyline-202206256-1  bind-9.18.4-1  binutils-2.38-6  blender-17:3.2.0-4  bluedevil-1:5.25.2-1  breeze-5.25.2-1  breeze-gtk-5.25.2-1  brltty-6.5-1  ca-certificates-mozilla-3.80-1  candy-icons-git-r901.a7266d7-1  chromium-103.0.5060.53-1  ckbcomp-1.208-1  clang-14.0.6-1  compiler-rt-14.0.6-1  curl-7.84.0-1  dkms-3.0.5-1  dmidecode-3.4-1  drkonqi-5.25.2-1  duktape-2.7.0-2  e2fsprogs-1.46.5-4  embree-3.13.4-1  ethtool-1:5.18-1  faudio-22.07-1  ffmpeg-2:5.0.1-3  ffmpeg4.4-4.4.2-3  firedragon-102.0-1  firedragon-extension-plasma-integration-1.8.1-3  firefox-102.0-1  garuda-hooks-2.7.0-1  garuda-update-2.5.1-1  geocode-glib-3.26.3-1  geoip-database-20220621-1  git-2.37.0-1  gjs-2:1.72.0-2  glib-networking-1:2.72.1-1  glib2-2.72.3-1  gnome-shell-1:42.3-2  gperftools-2.10-1  gst-libav-1.20.3-1  gst-plugin-pipewire-1:0.3.53-2  gst-plugins-bad-1.20.3-1  gst-plugins-bad-libs-1.20.3-1  gst-plugins-base-1.20.3-1  gst-plugins-base-libs-1.20.3-1  gst-plugins-good-1.20.3-1  gst-plugins-ugly-1.20.3-1  gstreamer-1.20.3-1  gstreamer-vaapi-1.20.3-1  gtk-update-icon-cache-1:4.6.6-1  gtk4-1:4.6.6-1  guiscrcpy-1:2022.6.1-1  harfbuzz-4.4.1-1  harfbuzz-icu-4.4.1-1  hblock-3.4.0-1  hplip-1:3.22.6-1  imagemagick-7.1.0.40-1  intel-gmmlib-22.1.4-1  intel-media-driver-22.4.4-1  inxi-3.3.19.1-1  ipp-usb-0.9.22-1  js91-91.11.0-1  kactivitymanagerd-5.25.2-1  kbd-2.5.1-1  kde-cli-tools-5.25.2-1  kde-gtk-config-5.25.2-1  kdecoration-5.25.2-1  kdeplasma-addons-5.25.2-1  kgamma5-5.25.2-1  khotkeys-5.25.2-1  kinfocenter-5.25.2-1  kmenuedit-5.25.2-1  kmod-30-1  kscreen-5.25.2-1  kscreenlocker-5.25.2-1  ksshaskpass-5.25.2-1  ksystemstats-5.25.2-1  kwallet-pam-5.25.2-1  kwayland-integration-5.25.2-1  kwayland-server-5.24.5-1 [Entfernung]  kwin-5.25.2-1  kwrited-5.25.2-1  latte-dock-git-0.10.6.r261.g0cc73324-1  layer-shell-qt-5.25.2-1  lib32-alsa-lib-1.2.7.1-1  lib32-alsa-plugins-1.2.7.1-1  lib32-clang-14.0.6-1  lib32-curl-7.84.0-1  lib32-faudio-22.07-1  lib32-glib-networking-2.72.1-1  lib32-glib2-2.72.3-1  lib32-gst-plugins-base-libs-1.20.3-1  lib32-gstreamer-1.20.3-1  lib32-harfbuzz-4.4.1-1  lib32-libcurl-compat-7.84.0-1  lib32-libcurl-gnutls-7.84.0-1  lib32-libnm-1.38.2-1  lib32-libproxy-0.4.18-1  lib32-libpulse-16.1-1  lib32-libva-mesa-driver-22.1.3-1  lib32-llvm-libs-14.0.6-1  lib32-mesa-22.1.3-1  lib32-mesa-vdpau-22.1.3-1  lib32-nss-3.80-1  lib32-openal-1.22.2-1  lib32-opencl-mesa-22.1.3-1  lib32-openssl-1:1.1.1.p-1  lib32-pango-1:1.50.8-1  lib32-pipewire-1:0.3.53-2  lib32-vkd3d-1.4-1  lib32-vulkan-intel-22.1.3-1  lib32-vulkan-mesa-layers-22.1.3-1  lib32-vulkan-radeon-22.1.3-1  libblockdev-2.27-1  libclc-14.0.6-1  libcurl-compat-7.84.0-1  libcurl-gnutls-7.84.0-1  libdmtx-0.7.7-1  libidn-1.41-1  libkscreen-5.25.2-1  libksysguard-5.25.2-1  liblangtag-0.6.4-1  libmfx-22.4.4-1  libmm-glib-1.18.10-1  libmtp-1.1.20-1  libnghttp2-1.48.0-1  libnm-1.38.2-1  libnma-1.8.40-1  libnma-common-1.8.40-1  libproxy-0.4.18-1  libpulse-16.1-1  libqmi-1.30.8-1  libsoup3-3.0.7-1  liburing-2.2-1  libva-2.15.0-1  libva-mesa-driver-22.1.3-1  libva-utils-2.15.0-1  libvpx-1.12.0-1  libwacom-2.3.0-1  linux-firmware-20220610.7b71b75-1  linux-firmware-whence-20220610.7b71b75-1  linux-zen-5.18.9.zen1-1  linux-zen-headers-5.18.9.zen1-1  linuxconsole-1.8.1-1  llvm-14.0.6-1  llvm-libs-14.0.6-1  luajit-2.1.0.beta3.r422.g4c2441c1-1  mercurial-6.1.4-1  mesa-22.1.3-1  mesa-demos-8.5.0-2  mesa-utils-8.5.0-2  mesa-vdpau-22.1.3-1  milou-5.25.2-1  mlt-7.8.0-1  modemmanager-1.18.10-1  networkmanager-1.38.2-1  nm-cloud-setup-1.38.2-1  noisetorch-0.12.2-1  noto-fonts-20220607-1  npm-8.11.0-1  nss-3.80-1  okular-22.04.2-3  openal-1.22.2-1  opencl-mesa-22.1.3-1  openconnect-1:9.01-2  openfortivpn-1.17.3-1  openshadinglanguage-1.11.17.0-4  openssl-1.1.1.p-1  openxr-1.0.24-1  oxygen-sounds-5.25.2-1  pacman-contrib-1.6.0-1  pango-1:1.50.8-1  parallel-20220622-1  paru-1.11.0-1  perl-lwp-protocol-https-6.10-4  perl-mozilla-ca-20211001-1  pipewire-1:0.3.53-2  pipewire-alsa-1:0.3.53-2  pipewire-pulse-1:0.3.53-2  plasma-browser-integration-5.25.2-1  plasma-desktop-5.25.2-1  plasma-disks-5.25.2-1  plasma-firewall-5.25.2-1  plasma-integration-5.25.2-1  plasma-nm-5.25.2-1  plasma-pa-5.25.2-1  plasma-systemmonitor-5.25.2-1  plasma-thunderbolt-5.25.2-1  plasma-vault-5.25.2-1  plasma-workspace-5.25.2-1  plasma-workspace-wallpapers-5.25.2-1  playonlinux-4.4+29+gd0ae9ce6-1  polkit-kde-agent-5.25.2-1  power-profiles-daemon-0.12-1  powerdevil-5.25.2-1  profile-sync-daemon-6.45-1  pycharm-community-edition-2022.1.3-1  pyside2-5.15.5-3  pyside6-6.3.1-3  python-bleach-5.0.0-1  python-certifi-2022.06.15-1  python-commonmark-0.9.1-5  python-contextlib2-21.6.0-1  python-future-0.18.2-7  python-lxml-4.9.0-1  python-natsort-8.1.0-1  python-pillow-9.2.0-1  python-pip-22.1.2-1  python-platformdirs-2.5.1-1  python-psutil-5.9.1-1  python-pycryptodome-3.15.0-1  python-pyqt5-5.15.7-1  python-pyqt5-sip-12.11.0-1  python-reportlab-3.6.10-1  python-resolvelib-0.8.1-1  python-rich-12.4.4-1  python-shiboken2-5.15.5-3  python-tenacity-8.0.1-3  python-trove-classifiers-2022.6.26-1  python-typing_extensions-4.2.0-1  python-websocket-client-1.3.3-1  python-wxpython-1:4.0.7.2-3  qgnomeplatform-qt5-0.8.4-4  qt5-base-5.15.5+kde+r167-1  qt5-charts-5.15.5+kde+r1-1  qt5-declarative-5.15.5+kde+r19-1  qt5-graphicaleffects-5.15.5+kde+r0-1  qt5-imageformats-5.15.5+kde+r4-1  qt5-location-5.15.5+kde+r3-1  qt5-multimedia-5.15.5+kde+r1-1  qt5-quickcontrols-5.15.5+kde+r0-1  qt5-quickcontrols2-5.15.5+kde+r5-1  qt5-sensors-5.15.5+kde+r0-1  qt5-speech-5.15.5+kde+r1-1  qt5-svg-5.15.5+kde+r10-1  qt5-tools-5.15.5+kde+r1-3  qt5-translations-5.15.5+kde+r2-1  qt5-wayland-5.15.5+kde+r38-1  qt5-webchannel-5.15.5+kde+r3-1  qt5-webengine-5.15.10-2  qt5-websockets-5.15.5+kde+r3-1  qt5-x11extras-5.15.5+kde+r0-1  qt6-base-6.3.1-1  qt6-declarative-6.3.1-1  qt6-svg-6.3.1-1  qt6-translations-6.3.1-1  sddm-kcm-5.25.2-1  shiboken6-6.3.1-3  shotcut-22.06.23-1  sof-firmware-2.2-1  speex-1.2.1-1  speexdsp-1.2.1-1  sqlite-3.39.0-2  squashfuse-0.1.105-1  srt-1.5.0-1  starship-1.9.1-1  sudo-1.9.11.p3-1  sweet-theme-full-git-r274.7da8215-1  systemsettings-5.25.2-1  tbb-2021.5.0-2  tela-circle-icon-theme-git-2022.03.07.r79.gf8fb08fb-1  thunderbird-91.11.0-1  visual-studio-code-bin-1.68.1-1  vkd3d-1.4-1  vlc-3.0.17.4-6  vulkan-intel-22.1.3-1  vulkan-mesa-layers-22.1.3-1  vulkan-radeon-22.1.3-1  vulkan-swrast-22.1.3-1  wayland-1.21.0-1  webkit2gtk-4.1-2.36.3-1  wine-7.12-1  xcb-proto-1.15.2-1  xdg-desktop-portal-kde-5.25.2-1  zenity-3.43.0-1  zstd-1.5.2-7

Gesamtgröße der installierten Pakete:  6986,10 MiB
Größendifferenz der Aktualisierung:     271,02 MiB

Schlüsselbund wird geprüft …
Paketintegrität wird geprüft …
Paket-Dateien werden geladen …
Auf Dateikonflikte wird geprüft …
Verfügbarer Festplattenspeicher wird ermittelt …
:: Pre-transaction-Hooks werden gestartet …
(1/7) Performing snapper pre snapshots for the following configurations...
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Python path configuration:
  PYTHONHOME = (not set)
  PYTHONPATH = (not set)
  program name = 'python'
  isolated = 0
  environment = 1
  user site = 1
  import site = 1
  sys._base_executable = '/usr/bin/python'
  sys.base_prefix = '/usr'
  sys.base_exec_prefix = '/usr'
  sys.platlibdir = 'lib'
  sys.executable = '/usr/bin/python'
  sys.prefix = '/usr'
  sys.exec_prefix = '/usr'
  sys.path = [
    '/usr/lib/python310.zip',
    '/usr/lib/python3.10',
    '/usr/lib/lib-dynload',
  ]
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named 'encodings'

Current thread 0x00007f800206a740 (most recent call first):
  <no Python frame>
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

It appears to be a problem with the python package. When I searched online, I did not see solutions which were related to my problem.

My question is: How can I solve this problem and Upgrade my System?
Thanks in advance!

Hi there, welcome to the forum.
Please try with garuda-update, which is our preferred method for updating (e.g. it will configure the newly created Garuda repo). Also add LANG=C to show output in English:

LANG=C garuda-update
3 Likes

Total size of installed packages: 6986.10 MiB :scream:

Gaming edition?


Whoogle is full of solutions for this error.

  1. How To Solve ImportError: No module named 'encodings' Error ? To Solve ImportError: No module named 'encodings' Error You Just need to remove virtual environment files. Follow this command Just run this command rm -rf venv and then virtualenv -p /usr/bin/python3 venv/ Then source venv/bin/activate and then pip install -r requirements.txt. Second solution is In My case I just updated my python to Python 3.7 and still my Environment variable Path is Old and Suggesting Python 3.5 Solution is simple. When you install python3.7, you can custom install and check Add Python to environment variables in Advanced Options.

5 Likes

Thank you, I was first using octopi and the the command line, but still the same error

No, I'm not using the Gaming edition

The Number (first two digits) or the package size?

I did not knew this was an error...
And when I use whoogle, it shows this error:

Error
Instance has been ratelimited

Continue your search with Farside
Whoogle:
https://farside.link/whoogle/search?q=How To Solve ImportError: No module named 'encodings'&lang_search=lang_en&lang_interface=lang_en&theme=dark&alts=True&new_tab=True&view_image=True

Searx:
https://farside.link/searx/search?q=How To Solve ImportError: No module named 'encodings'
Return Home

Is this normal and do I have to click on "Whoogle"?

Anyways, I've set the PYTHONPATH according to this website, but it still wont work (i did not set up a venv in the past)

EDIT
Ive gotten rid of the first errors

Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]

But the Error

Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named 'encodings'

Still remains. The most Guides suggest to REMOVE $PYTHONPATH and $PYTHONHOME, but it was necessary to ADD them to remove the first errors. And if I do remove them, it is still the same error.

Try the following:

sudo rm /usr/share/libalpm/hooks/05-snap-pac-pre.hook
garuda-update

In theory that should get you on the right track, and in theory that should repair python too? If not, please don't run the first command again and instead post in this thread again.
Let me know if that works.

3 Likes

Hi
Sorry for that late answer
I think I've found a workaround:
I noticed that the directory /usr/lib/python3.10 (The directory where Python was unable to get file information) was missing entirely, and the files in it that caused the warnings were missing too. (This folder appeared to be a folder for the Python standard library) So, I've Installed Python 3.10 from source, got into the folder where it was installed and pasted the standard library files into the empty /urs/lib/python3.10 directory. The command python now works as intended.

EDIT
The Upgrade also worked

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.